Name		: hugo
Version		: 0.48
Release		: 1%{?dist}
Summary		: The world’s fastest framework for building websites.
Group		: System/Web
License		: Apache License
URL		: https://gohugo.io/
#Source0	:
BuildRequires	: golang
BuildRequires	: git
Requires	: git

%description


%prep
%setup -T -q -c %{name}-%{version}
export GOPATH=`pwd`
go get -u github.com/gohugoio/hugo


%build
export GOPATH=`pwd`
cd src/github.com/gohugoio/hugo
git checkout tags/v%{version}
go build -ldflags '-extldflags -s -w'


%install
install -p -D -m 0555 src/github.com/gohugoio/hugo/hugo %{buildroot}%{_bindir}/hugo


%files
%doc
%{_bindir}/hugo


%changelog
